#!/bin/bash
# ISP-A infra
set -e
if [ -z $MILXCGUARD ] ; then exit 1; fi
DIR=`dirname $0`
cd `dirname $0`

# les scripts de créations de BAL pour clawsmail
cp -ar "clawsmail" /
chmod +x /clawsmail/addclawsuser.sh
chmod +x /clawsmail/genpasswd

#client pour tester la messagerie
DEBIAN_FRONTEND=noninteractive apt-get install -y claws-mail

# On configure les comptes mail
if [ -f /clawsmail/addclawsuser.sh ]; then
    su debian /clawsmail/addclawsuser.sh contact1 kaz.milxc contact1@kaz.milxc toto 1
    su debian /clawsmail/addclawsuser.sh contact2 kaz.milxc contact2@kaz.milxc toto 2
    su debian /clawsmail/addclawsuser.sh contact3 kaz.milxc contact3@kaz.milxc toto 3
    su debian /clawsmail/addclawsuser.sh contact4 kaz.milxc contact4@kaz.milxc toto 4
    su debian /clawsmail/addclawsuser.sh email isp-a.milxc email email 5
fi

# On place les certifs
if  [ -d letsencrypt ]; then
  cp -ar letsencrypt /etc/
  cp /etc/letsencrypt/local/rootCA.pem /usr/local/share/ca-certificates/rootCA.crt
  /usr/sbin/update-ca-certificates --fresh
fi
